Commit d45b252a authored by J.H.M. Dassen (Ray)'s avatar J.H.M. Dassen (Ray)

Updated debianisation

svn path=/trunk/; revision=17163
parent 58d78923
gnumeric (1.9.4-1) unstable; urgency=low
* New upstream development release. Uploading to unstable now that lenny
has been released. Upstream changes include:
* Fix for CVE-2009-0318, an untrusted search path vulnerability which
affected the python-loader plugin which is part of the
gnumeric-plugins-extra package. (Closes: #569648)
* ssconvert(1) now documents the options for --export-options and has a
simpler example to start with. (Closes: #406920, 511958)
* gnumeric(1) now mentions ssconvert in SEE ALSO. (Closes: 511957)
* Fix problem with functions docs in locales without encoding information.
(Closes: #514127)
* [debian/control] Updated glib, goffice and pango build dependencies,
dropped gconf build dependency per configure.in . Dropped bonobo,
libgnomeui, libgnome, libgsf-gnome build dependencies as we follow the
new upstream default of a non-GNOME build. (Closes: #399323)
* [debian/gnumeric.install] Removed gconf schemas which are no longer
built.
* [debian/gnumeric-common.install] Removed pattern for idl files as they
are no longer built.
* [debian/gnumeric.mime] Removed entry for obsolete, unofficial type
text/x-comma-separated-values.
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Mon, 23 Feb 2009 12:44:03 +0100
gnumeric (1.9.3-1) experimental; urgency=low
* New upstream development release. Upstream changes include:
......@@ -8,7 +33,7 @@ gnumeric (1.9.3-1) experimental; urgency=low
well.
* [debian/control]
* Updated goffice build dependency per configure.in .
* Change the Recommends: evince to evince | evince-gtk. (Closes: 501897)
* Change the Recommends: evince to evince | evince-gtk. (Closes: #501897)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Sun, 19 Oct 2008 17:45:44 +0200
......@@ -65,6 +90,51 @@ gnumeric (1.9.0-1) experimental; urgency=low
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Mon, 05 May 2008 07:17:09 +0200
gnumeric (1.8.4-3) unstable; urgency=high
* [plugins/python-loader/gnm-py-interpreter.c,
plugins/python-loader/ChangeLog] Pull in fix from SVN gnumeric-1-8
branch to deal with CVE-2009-0318, an untrusted search path vulnerability
which affected the python-loader plugin which is part of the
gnumeric-plugins-extra package. (Closes: #513418)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Thu, 29 Jan 2009 15:50:12 +0100
gnumeric (1.8.4-2) unstable; urgency=high
* [po/Makefile.in.in] Added a "dummy" definition text for POTFILES to
prevent the definition of CATALOGS from being eaten when
build/po/Makefile is generated; this brings the translations back.
(Closes: #513199)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Tue, 27 Jan 2009 19:11:11 +0100
gnumeric (1.8.4-1) unstable; urgency=low
* New upstream stable release.
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Sun, 18 Jan 2009 20:30:30 +0100
gnumeric (1.8.3-6) unstable; urgency=medium
* [NEWS, plugins/excel/ChangeLog, plugins/excel/ms-chart.c]: Pull in fixes
from SVN gnumeric-1-8 branch for issues affecting Excel charts
import/export (bugzilla.gnome.org #544935, #557027). (Closes: #509281)
* [ChangeLog, src/xml-sax-read.c] Pull in fix from SVN gnumeric-1-8 branch
to not crash on old gnumeric files which have gnm:StyleRegion tags
without attributes in them. (Closes: #510929)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Sun, 11 Jan 2009 16:19:33 +0100
gnumeric (1.8.3-5+lenny1) testing-security; urgency=high
* Non-maintainer upload by the Security Team.
* Fix insecure search path vulnerability due to how python handles sys.path
by sanitizing sys.path after calling PySys_SetArgv
(CVE-2009-0318; Closes: #513418).
-- Nico Golde <nion@debian.org> Fri, 06 Feb 2009 19:24:06 +0100
gnumeric (1.8.3-5) unstable; urgency=medium
* [plugins/perl-loader/perl-loader.c] Call PERL_SYS_INIT3() prior to
......@@ -388,6 +458,16 @@ gnumeric (1.7.0-1) experimental; urgency=low
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Wed, 10 May 2006 21:29:08 +0200
gnumeric (1.6.3-5.1+etch2) stable-proposed-updates; urgency=medium
* [plugins/python-loader/gnm-py-interpreter.c,
plugins/python-loader/ChangeLog] Pull in fix from SVN gnumeric-1-6
branch to deal with CVE-2009-0318, an untrusted search path vulnerability
which affected the python-loader plugin which is part of the
gnumeric-plugins-extra package. (Closes: #513418)
-- J.H.M. Dassen (Ray) <jdassen@debian.org> Thu, 29 Jan 2009 21:20:17 +0100
gnumeric (1.6.3-5.1+etch1) stable-security; urgency=high
* Non-maintainer upload by the Security Team.
......
......@@ -5,15 +5,11 @@ Maintainer: J.H.M. Dassen (Ray) <jdassen@debian.org>
Build-Depends: debhelper (>= 7.0.0), python-central (>= 0.5), dh-buildinfo,
po-debconf, gettext, bison, flex, scrollkeeper,
intltool (>= 0.29), libxml-parser-perl,
zlib1g-dev, libglib2.0-dev (>= 2.6.0), libgsf-1-dev (>= 1.14.9),
libgoffice-0-8-dev (>= 0.7.2), libxml2-dev (>= 2.6.10-2),
libpango1.0-dev (>= 1.10.0),
zlib1g-dev, libglib2.0-dev (>= 2.10.0), libgsf-1-dev (>= 1.14.9),
libgoffice-0-8-dev (>= 0.7.3), libxml2-dev (>= 2.6.10-2),
libpango1.0-dev (>= 1.12.0),
libgtk2.0-dev (>= 2.10.0), libglade2-dev (>= 1:2.4.0),
libart-2.0-dev (>= 2.3.16-5),
libgconf2-dev (>= 2.6.2), libbonobo2-dev (>= 2.6.2-4),
libbonoboui2-dev (>= 2.6.1),
libgnome2-dev (>= 2.4.0-2), libgnomeui-dev (>= 2.4.0-2),
libgsf-gnome-1-dev (>= 1.14.6),
pxlib-dev (>= 0.5.1-2+b1), libpsiconv-dev (>= 0.9.8-2), libperl-dev,
python-dev, python-gtk2-dev
Homepage: http://www.gnumeric.org/
......
......@@ -5,7 +5,7 @@
/usr/share/gnumeric/*/glade/*.glade
# /usr/share/gnumeric/*/glade/*.png
# /usr/share/gnumeric/*/gnome*/ui/*.xml
/usr/share/gnumeric/*/idl/*.idl
# /usr/share/gnumeric/*/idl/*.idl
/usr/share/gnumeric/*/templates/*.gnumeric
/usr/share/locale/*/LC_MESSAGES/*.mo
# /usr/share/mime-info/gnumeric.*
......
/etc/gconf/schemas/*.schemas
#/etc/gconf/schemas/*.schemas
/usr/bin/gnumeric*
/usr/bin/ssconvert*
/usr/bin/ssgrep*
......
application/x-gnumeric; gnumeric '%s'; edit=gnumeric '%s'; compose=gnumeric '%s'; description="Gnumeric spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.gnumeric
text/csv; gnumeric '%s'; edit=gnumeric '%s'; description="Comma Separated Values"; test=test -n "$DISPLAY"; nametemplate=%s.csv
text/x-comma-separated-values; gnumeric '%s'; edit=gnumeric '%s'; description="Comma Separated Values"; test=test -n "$DISPLAY"; nametemplate=%s.csv
application/vnd.ms-excel; gnumeric '%s'; edit=gnumeric '%s'; description="MS Excel spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.xls
application/x-excel; gnumeric '%s'; edit=gnumeric '%s'; description="MS Excel spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.xls
application/x-ms-excel; gnumeric '%s'; edit=gnumeric '%s'; description="MS Excel spreadsheet"; test=test -n "$DISPLAY"; nametemplate=%s.xls
......
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment